class Object:
    pass
def make_network(cfg):
   cfg.nlayer = 8
   for i in range(cfg.nlayer):
         if cfg.lyrs[i] is None:
            cfg.lyrs[i] = Object()

   cfg.lyrs[0].type = 'nl' 
   cfg.lyrs[0].nnl = 3 # in time
   cfg.lyrs[0].nonlin = (0,0)

   cfg.lyrs[1].type = 'conv' 
   cfg.lyrs[1].filt_row = 13 # in time
   cfg.lyrs[1].filt_col = 15 # in freq
   cfg.lyrs[1].pooling = (3,4) # row, col
   cfg.lyrs[1].border_mode='half' # 'valid' or 'half'
   cfg.lyrs[1].minvar = 0.0 
   cfg.lyrs[1].nchan_out = 8
   cfg.lyrs[1].nonlin = (0,0)

   if cfg.nlayer > 2:
      cfg.lyrs[2].type = 'conv' 
      cfg.lyrs[2].filt_row = 7 # in time
      cfg.lyrs[2].filt_col = 5 # in freq
      cfg.lyrs[2].pooling = (2,1) # row, col
      cfg.lyrs[2].border_mode='valid' # 'valid' or 'half'
      cfg.lyrs[2].nchan_out = 40
      cfg.lyrs[2].minvar = 0.0 
      cfg.lyrs[2].nonlin = (0,0)

   if cfg.nlayer > 3:
      cfg.lyrs[3].type = 'fc'
      cfg.lyrs[3].nchan_out = 128
      cfg.lyrs[3].nonlin = (0,0)

   if cfg.nlayer > 4:
      cfg.lyrs[4].type = 'nl'
      cfg.lyrs[4].nnl = 3
      cfg.lyrs[4].nonlin = (0,10)

   if cfg.nlayer > 5:
      cfg.lyrs[5].type = 'fc'
      cfg.lyrs[5].nchan_out = 64
      cfg.lyrs[5].nonlin = (10,0)

   if cfg.nlayer > 6:
      cfg.lyrs[6].type = 'nl'
      cfg.lyrs[6].nnl = 3
      cfg.lyrs[6].nonlin = (0,10)

   if cfg.nlayer > 7:
      cfg.lyrs[7].type = 'fc'
      cfg.lyrs[7].nchan_out = 32
      cfg.lyrs[7].nonlin = (10,10)

